/*
 * FILE:
 *   cooked_key.hpp
 *
 * PURPOSE:
 *   Keycodes and modifier flags for "cooked" keys.
 *
 * AUTHOR:
 *   Stephen Thompson, 2008
 *
 * COPYRIGHT:
 *   Public Domain
 *
 */

#ifndef COERCRI_COOKED_KEY_HPP
#define COERCRI_COOKED_KEY_HPP

// Undefine MOD_ALT (needed on windows apparently)
#ifdef MOD_ALT
#undef MOD_ALT
#endif

namespace Coercri {

    enum CookedKey {
        CK_CHARACTER,
        
        CK_BACKSPACE,
        CK_BREAK,
        CK_CLEAR,
        CK_DELETE,
        CK_DOWN,
        CK_END,
        CK_ESCAPE,
        CK_F1,
        CK_F2,
        CK_F3,
        CK_F4,
        CK_F5,
        CK_F6,
        CK_F7,
        CK_F8,
        CK_F9,
        CK_F10,
        CK_F11,
        CK_F12,
        CK_F13,
        CK_F14,
        CK_F15,
        CK_HELP,
        CK_HOME,
        CK_INSERT,
        CK_LEFT,
        CK_MENU,
        CK_MODE,
        CK_PAGE_DOWN,
        CK_PAGE_UP,
        CK_PAUSE,
        CK_POWER,
        CK_PRINT,
        CK_RETURN,  // includes keypad enter
        CK_RIGHT,
        CK_SYSREQ,
        CK_TAB,
        CK_UNDO,
        CK_UP
    };

    enum Modifier {
        MOD_ALT = 1,
        MOD_CTRL = 2,
        MOD_META = 4,
        MOD_SUPER = 8
    };
}

#endif
