/*
 * connecting_screen.hpp
 *
 * Connecting Screen
 * --- Sets up network connection, and displays progress while doing so
 * --- Continues to MenuScreen
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 * 
 */

#ifndef CONNECTING_SCREEN_HPP
#define CONNECTING_SCREEN_HPP

#include "screen.hpp"

#include "boost/shared_ptr.hpp"
using namespace boost;

#include <vector>
using namespace std;

class ConnectingScreenImpl;

class ConnectingScreen : public Screen {
public:
    ConnectingScreen();
    explicit ConnectingScreen(const string &address);
    virtual bool start(KnightsGame &knights_game, shared_ptr<Coercri::Window> window, gcn::Gui &gui);
    virtual unsigned int getUpdateInterval() { return 50; }
    virtual void update();
private:
    shared_ptr<ConnectingScreenImpl> pimpl;
    string address;
};

#endif
