/*
 * gui_centre.cpp
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#include "gui_centre.hpp"

GuiCentre::GuiCentre(gcn::Widget *c)
    : GuiSimpleContainer(c), opaque(true)
{
    setBaseColor(gcn::Color(0,0,0));
}

void GuiCentre::draw(gcn::Graphics *graphics)
{
    if (isOpaque()) {
        graphics->setColor(getBaseColor());
        graphics->fillRectangle(gcn::Rectangle(0, 0, getWidth(), getHeight()));
    }

    drawChildren(graphics);
}

void GuiCentre::widgetResized(const gcn::Event &event)
{
    gcn::Widget *child = getChild();
    if (child) {
        const int x = std::max(0, (getWidth() - child->getWidth()) / 2);
        const int y = std::max(0, (getHeight() - child->getHeight()) / 2);
        child->setPosition(x, y);
    }
}
