/*
 * join_game_screen.hpp
 *
 * JoinGameScreen
 * --- Asks for IP address to connect to
 * --- Scans for available LAN games
 * --- Continues to ConnectingScreen
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 * 
 */

#ifndef JOIN_GAME_SCREEN_HPP
#define JOIN_GAME_SCREEN_HPP

#include "screen.hpp"

#include "boost/shared_ptr.hpp"
using namespace boost;

#include <vector>
using namespace std;

class JoinGameScreenImpl;

class JoinGameScreen : public Screen {
public:
    virtual bool start(KnightsGame &knights_game, shared_ptr<Coercri::Window> window, gcn::Gui &gui);
    virtual unsigned int getUpdateInterval();
    virtual void update();
private:
    shared_ptr<JoinGameScreenImpl> pimpl;
};

#endif
