/*
 * cfg.cpp
 * This version uses my QConfig library... 
 * TODO: Sometime this should be replaced by KConfig.
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#include "misc.hpp"

#include "cfg.hpp"
#include "qconfig/qconfig.hpp"
#include "rstream/rstream.hpp"

#include <string>
using namespace std;

void CfgInit()
{
    RStream str("config.txt");
    QConfig::Load(str);
}

bool CfgBool(const char *name)
{
    return QConfig::getBool(name);
}

int CfgInt(const char *name)
{
    return QConfig::getInt(name);
}

float CfgFloat(const char *name)
{
    return QConfig::getFloat(name);
}

string CfgString(const char *name)
{
    return QConfig::getString(name);
}

