/*
 * options.hpp
 *
 * Storage for game options
 * 
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef OPTIONS_HPP
#define OPTIONS_HPP

#include "coercri/gfx/raw_key.hpp"

#include <iostream>

struct Options {
    Options();  // Sets the defaults

    Coercri::RawKey ctrls[2][6];  // 2 players, and in order up/down/left/right/action/suicide.
    bool use_scale2x;
    bool fullscreen;
};

Options LoadOptions(std::istream &);
void SaveOptions(const Options &, std::ostream &);

int DefaultWindowWidth();
int DefaultWindowHeight();

#endif
